------------------------------------------------------------------------------------
--Name：            210119[简体征服][活动脚本]白色情人节活动
--Creator:      戴鑫海
--Created:     2021-01-19
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>114


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(266,310)

-- 生成三大将领
local General1 = CppScriptMgr:AddSimplePlayer(1057703,264,310, "[The Wizard of Oz] Dorothy");
local General2 = CppScriptMgr:AddSimplePlayer(21386,257,309, "[The Wizard of Oz] Scarecrow");
local General3 = CppScriptMgr:AddSimplePlayer(1057807,260,306, "[The Wizard of Oz] Tin Woodman");
local General4 = CppScriptMgr:AddPlayer(921,264,303, "[The Wizard of Oz] Cowardly Lion") ;
General1:SetAction(1);
General2:Say("Haha! It feels like I can fly when the wind blows.",2000)
CppScriptMgr:WaitMilSec(1000)
General3:Say("I don`t want the wind.",2000)
CppScriptMgr:WaitMilSec(1000)
General4:Say("It would be great if I`ve got only 2 legs.",2000)
CppScriptMgr:WaitMilSec(1000)
General1:Say("It`s always fun being with friends.",2000)
CppScriptMgr:WaitMilSec(2000)
local effect1 = CppScriptMgr:AddEffect("cyclonehandcycle",272,312)
CppScriptMgr:WaitMilSec(1000)
local General5 = CppScriptMgr:AddSimplePlayer(1059172,272,312, "[The Wizard of Oz] Wind Witch");
General5:SetZoomPercent(200);
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(effect1);
General5:Say("I`m a gentle hurricane. Get ready to be touched.",1000)
CppScriptMgr:WaitMilSec(1500)
General2:Say("Oh... no... I... will... fall... into... pieces!",1000)
CppScriptMgr:WaitMilSec(1500)
General3:Say("Me... too...",1000)
CppScriptMgr:WaitMilSec(1500)
General4:Say("I... am... so... scared...",1000)
CppScriptMgr:WaitMilSec(1500)
General1:Say("Every… body! Don`t be afraid!",1000)
CppScriptMgr:WaitMilSec(1500)
General5:AddEffect("MBGhost")
CppScriptMgr:WaitMilSec(1500)
General2:AddEffect("curse-1")
General2:AddEffect("zf2-e215-1")
General4:AddEffect("curse-1")
General4:AddEffect("zf2-e215-1")
General3:AddEffect("curse-1")
General3:AddEffect("zf2-e215-1")
CppScriptMgr:WaitMilSec(1500)